Name: enzo
Version: 2.2
Release: %mkrel 2
Summary: Enzo is an adaptive mesh refinement code for multi-physics hydrodynamic astrophysical calculations
License: BSD
Group: Sciences/Astronomy
URL: http://enzo-project.org
Source0: https://bitbucket.org/enzo/enzo-stable/downloads/enzo-%version.tar.bz2
Patch0: enzo.fortran.diff
BuildRequires: hdf5-devel
BuildRequires: tcsh
BuildRequires: openmpi-devel

%description
Enzo is a community-developed adaptive mesh refinement simulation code, designed for rich, multi-physics hydrodynamic astrophysical calculations.

Enzo is freely available, developed in the open, with a strong support structure for assistance. Simulations conducted with Enzo have been featured in numerous refereed journal articles, and it is capable of running on computers from laptop to Top500.

%prep
%setup -q 
%patch0 -p1

%build
%configure2_5x
pushd src/enzo
%make machine-linux-gnu
%make MACH_OPT_HIGH="-O2 -g" CONFIG_OPT=high 
popd
pushd src/inits
%make
popd
pushd src/ring
%make
popd

%install
%__mkdir_p %{buildroot}%{_bindir}
cp -p bin/*  %{buildroot}%{_bindir}

%files
%{_bindir}/enzo
%{_bindir}/find_conflicts
%{_bindir}/inits
%{_bindir}/pr_testing
%{_bindir}/update_path





%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.2-2.mga4
+ Revision: 530643
- Mageia 4 Mass Rebuild

* Fri Jul 26 2013 joequant <joequant> 2.2-1.mga4
+ Revision: 458611
- remove period from summary
- fix build requires
- spec cleanups
- imported package enzo

